### A free/open-source library for quantitative finance

Public Member Functions
BespokeCalendar Class Reference
Calendars

Bespoke calendar. More...

`#include <ql/time/calendars/bespokecalendar.hpp>`

Inheritance diagram for BespokeCalendar:
[legend]

List of all members.

## Public Member Functions

| BespokeCalendar (const std::string &name="")
void | addWeekend (Weekday)
| marks the passed day as part of the weekend

## Detailed Description

Bespoke calendar.

This calendar has no predefined set of business days. Holidays and weekdays can be defined by means of the provided interface. Instances constructed by copying remain linked to the original one; adding a new holiday or weekday will affect all linked instances.

## Constructor & Destructor Documentation

BespokeCalendar | ( | const std::string & | name = `""` | ) |

Warning:
  different bespoke calendars created with the same name (or different bespoke calendars created with no name) will compare as equal.